## tetgen 1.6.0+dfsg1

=== CMakeLists.txt ===
# Set  the minimum  required version  of cmake  for a  project.
cmake_minimum_required(VERSION 2.6)

# Add an executable to the project using the specified source files.
add_executable(tetgen tetgen.cxx predicates.cxx)

#Add a library to the project using the specified source files. 
# In Linux/Unix, it will creates the libtet.a
add_library(tet STATIC tetgen.cxx predicates.cxx)

#Set properties on a target. 
#We use this here to set -DTETLIBRARY for when compiling the
#library
set_target_properties(tet PROPERTIES "COMPILE_DEFINITIONS" TETLIBRARY)

## tetgen 1.5.0

=== debian/changelog ===
tetgen (1.5.0-4) unstable; urgency=medium

  * [66adeb6] Apply cme fix dpkg.
  * [55617cb] Remove depreceated Breaks/Replaces.
  * [6df111d] Remove Christophe`s name from uploaders list. (Closes: #835022)
  * [25e5440] Add autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Sun, 04 Sep 2016 18:39:15 +0200

tetgen (1.5.0-3) unstable; urgency=medium

  [ Christophe Trophime ]
  * [0fa9519] Add -DTETLIBRARY. (Closes: #737653)
  * [c363f8b] Create a tetgen main using libtet Add a test in debian/rules

  [ Anton Gladky ]
  * [a2011cb] Use DEP-3 for main-patch.

 -- Anton Gladky <gladk@debian.org>  Mon, 10 Feb 2014 19:59:08 +0100

tetgen (1.5.0-2) unstable; urgency=medium

  * [024eb9b] Add Breaks/Replaces for libtet1.5-dev. (Closes: #738105)

 -- Anton Gladky <gladk@debian.org>  Fri, 07 Feb 2014 21:19:40 +0100

tetgen (1.5.0-1) unstable; urgency=medium

  [ Anton Gladky ]
  * [e4b48d6] Remove unused patch.
  * [bdeceb6] Remove dir.
  * [dc994ea] Do not ship static lib.
  * [2ea60c0] Add myself to uploaders.
  * [d5b9842] Set VCS for git.
  * [0be989b] Minor fix in control.
  * [df7578c] Update cmake-patch.
  * [c490052] Use multi-arch.
  * [3c02319] Add --parallel option.
  * [b96de49] Use DEP-5 for copyright-file.
  * [90e9835] Use wrap-and-sort.

  [ Christophe Trophime ]
  * debian/control: 
    update homepage
    move to section math since the license changed to AGPLv3
    remove obsolete dm-upload
  * debian/rules
    switch to cmake
    switch to dh
  * Add .install files
  * Standards-Version updated to version 3.9.5

  [ Sylvestre Ledru ]
  * Switch to dpkg-source 3.0 (quilt) format

 -- Anton Gladky <gladk@debian.org>  Tue, 28 Jan 2014 23:01:13 +0100

tetgen (1.4.3-1) unstable; urgency=low

  * Team upload
  * Package migrated to the Debian Science team
  * Standards-Version updated to version 3.9.2
  * lintian error "weak-library-dev-dependency" on libtet1.4.2-dev fixed
  * Fix debian-rules-missing-recommended-target build-arch
  * Update of the uploaders (Closes: #550418)

  [ Christophe Trophime ]
  * debian/rules: change definition of tetgenbin and tetgendev variables
  * fix lintian errors

  [Christophe Prud'homme]
  * New upstream release (Closes: #618574)
    - A new implementation of the Bowyer-Watson algorithm for Delaunay
      tetrahedralization. It is generally faster than the incremental flip
      algorithm. From my tests, the flip algorithm usually constructs about
      twice (or more) as many intermediate tetrahedra as B-W algorithm. Now
      B-W algorithm is the default algorithm for Delaunay
      tetrahedralization.
    - A new implementaton of the constrained Delaunay tetrahedralization
      algorithm (the -p option).
    - A new implementation of the Steiner point removal algorithm (the -Y
      option).
    - Improved the implementation of the constrained Delaunay refinement
      algorithm (the -q option).
    - Add the minimum dihedral angle of tetrahedra as the tetrahedral
      shape quality parameter (set after -qq option). The minimum dihedral
      angle is made the major mesh quality measure now. Default it is 5
      degree. One can increase it as larger as 18 degree. The radius-edge
      ratio (set after -q option) is still in use.
    - Support the read and write of the legacy VTK file format which can be
      visualized by Paraview (see .vtk file format and -K option).
  * renamed lib version to 1.4 instead of 1.4.x

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 15 Sep 2011 09:50:08 +0200

tetgen (1.4.2-4) UNRELEASED; urgency=low

  [ Daniel Leidert ]
  * debian/control: Vcs fields transition. Vcs-Svn fix.
  * debian/rules (build-stamp): Add missing linkages for unresolved symbols.
    (clean): Fixed to make the package build twice in a row.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 26 Mar 2008 00:44:37 +0100

tetgen (1.4.2-3) unstable; urgency=low

  * Ondrej Certik added to Uploaders.
  * DM-Upload-Allowed: yes field added
  * removing the predicates.patch, that is not necessary
  * patches converted to quilt
  * Homepage moved from description to the Homepage field.
  * empty directory /usr/sbin removed
  * Standards version updated to 3.7.3 

 -- Ondrej Certik <ondrej@certik.cz>  Sat, 16 Feb 2008 01:41:43 +0100

tetgen (1.4.2-2) unstable; urgency=low

  [Christophe Prud'homme]
  * debian/rules: renamed libtetgen.so to libtet.so
  * debian/control: fixed libtet1.4.2-dev Depends field (Closes: #434753)

 -- Christophe Prud'homme <prudhomm@debian.org>  Wed, 25 Jul 2007 10:11:58 +0200

tetgen (1.4.2-1oc1) unstable; urgency=low

  * unofficial release
  * Applied patches to create a better mesh (in fact we reverted back to
    1.4.1, until the 1.4.2 is fixed upstream)

 -- Ondrej Certik <ondrej@certik.cz>  Sat, 07 Jul 2007 23:05:08 +0200

tetgen (1.4.2-1) unstable; urgency=low

  [Ondrej Certik]
  * Initial release (Closes: #427094)

 -- Christophe Prud'homme <prudhomm@debian.org>  Wed, 04 Jul 2007 22:43:29 +0200

=== debian/control ===
Source: tetgen
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: math
Testsuite: autopkgtest
Priority: extra
Build-Depends: cmake,
               debhelper (>= 9),
               docbook-to-man
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/tetgen.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/tetgen.git
Homepage: http://www.tetgen.org/

Package: libtet1.5
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Quality Tetrahedral Mesh Generator
 TetGen generates the Delaunay tetrahedralization, Voronoi diagram, and convex
 hull for three-dimensional point sets, generates the constrained Delaunay
 tetrahedralizations and quality tetrahedral meshes for three-dimensional
 domains with piecewise linear boundary.
 .
 This package provides the runtime shared library.

Package: libtet1.5-dev
Architecture: any
Multi-Arch: foreign
Section: libdevel
Depends: libtet1.5 (= ${binary:Version}),
         ${misc:Depends}
Description: Quality Tetrahedral Mesh Generator
 TetGen generates the Delaunay tetrahedralization, Voronoi diagram, and convex
 hull for three-dimensional point sets, generates the constrained Delaunay
 tetrahedralizations and quality tetrahedral meshes for three-dimensional
 domains with piecewise linear boundary.
 .
 This package provides header file.

Package: tetgen
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Quality Tetrahedral Mesh Generator
 TetGen generates the Delaunay tetrahedralization, Voronoi diagram, and convex
 hull for three-dimensional point sets, generates the constrained Delaunay
 tetrahedralizations and quality tetrahedral meshes for three-dimensional
 domains with piecewise linear boundary.

=== debian/rules ===
#!/usr/bin/make -f
BUILDDIR=debian/build

TETGEN_VERSION = 1.5.0
TETGEN_LIBVERSION = 1.5

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --buildsystem=cmake --builddirectory=$(BUILDDIR) --parallel

override_dh_auto_build:
	dh_auto_build
	docbook-to-man debian/tetgen.sgml > tetgen.1

override_dh_auto_test:
	$(BUILDDIR)/tetgen -p example.poly

get-orig-source:
	uscan --force-download --rename --verbose --upstream-version $(TETGEN_VERSION)
	tar xzf ../tetgen_$(TETGEN_VERSION).orig.tar.gz
	mv tetgen$(TETGEN_VERSION) tetgen-$(TETGEN_VERSION)
	tar czf tetgen_$(TETGEN_VERSION).orig.tar.gz tetgen-$(TETGEN_VERSION)
	rm -rf tetgen-$(TETGEN_VERSION).dfsg
	if test -d ../tarballs; then mv tetgen_$(TETGEN_VERSION).orig.tar.gz ../tarballs; fi

=== debian/tests/control ===
Tests: check1
Depends: tetgen

## tetgen 1.6.0+dfsg1

=== debian/changelog ===
tetgen (1.6.0+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * update tetgen 1.6 to unstable

 -- Drew Parsons <dparsons@debian.org>  Sat, 04 Oct 2025 10:24:35 +0200

tetgen (1.6.0+dfsg1-2) experimental; urgency=medium

  * Team upload.
  * debian patch cmake4.patch sets minimum cmake version to 3.10 to
    allow building with cmake 4. Closes: #1113570.
  * update debian/watch and copyright to https://codeberg.org/TetGen/TetGen/
    (redirection from http://www.tetgen.org/)
    Update format to v5.
  * after dh_clean delete generated manpage and example files.
    Closes: #1046364.
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Thu, 02 Oct 2025 22:48:48 +0200

tetgen (1.6.0+dfsg1-1) unstable; urgency=medium

  * [bea3867] Add .gitlab-ci.yml
  * [98b287d] Trim trailing whitespace.
  * [5d9b499] Update watch file format version to 4.
  * [f57787e] Bump debhelper from old 11 to 12.
  * [1b8178f] Set debhelper-compat version in Build-Depends.
  * [018b92b] Allow reportest to fail
  * [6b21702] Set compat-level to 13
  * [c85b6c0] Set Standards-Version to 4.5.1
  * [04b1fca] Update dates in d/copyright
  * [773a9f1] Exclude some files in d/copytight
  * [3f521b4] New upstream version 1.6.0+dfsg1
  * [badbe5e] Refresh patches
  * [c9c70e7] Update so-names
  * [752e6b8] Ignore quilt dir

 -- Anton Gladky <gladk@debian.org>  Mon, 04 Jan 2021 23:17:07 +0100

tetgen (1.5.0-5) unstable; urgency=medium

  [ Helmut Grohne ]
  * [bd8d78c] Honour DEB_BUILD_OPTIONS=nocheck. (Closes: #901150)

  [ Anton Gladky ]
  * [586e164] Set Standards-Version to 4.1.4
  * [3536de3] Set compat level to 11
  * [0ded53b] Set the highest hardening options
  * [db64485] Use architecture.mk
  * [e1922dd] Remove unneeded Testsuite-field in d/control
  * [a418d75] Set Multi-Arch for libtet1.5-dev as same
  * [08c011c] Add build-autotest

 -- Anton Gladky <gladk@debian.org>  Sun, 10 Jun 2018 18:26:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: tetgen
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Anton Gladky <gladk@debian.org>
 Section: math
-Testsuite: autopkgtest
-Priority: extra
+Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 9),
+               debhelper-compat (= 13),
                docbook-to-man
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/tetgen.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/tetgen.git
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/science-team/tetgen
+Vcs-Git: https://salsa.debian.org/science-team/tetgen.git
 Homepage: http://www.tetgen.org/
 
-Package: libtet1.5
+Package: libtet1.6
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -27,11 +26,14 @@
  .
  This package provides the runtime shared library.
 
-Package: libtet1.5-dev
+Package: libtet-dev
 Architecture: any
-Multi-Arch: foreign
+Multi-Arch: same
 Section: libdevel
-Depends: libtet1.5 (= ${binary:Version}),
+Provides: libtet1.5-dev
+Breaks: libtet1.5-dev
+Replaces: libtet1.5-dev
+Depends: libtet1.6 (= ${binary:Version}),
          ${misc:Depends}
 Description: Quality Tetrahedral Mesh Generator
  TetGen generates the Delaunay tetrahedralization, Voronoi diagram, and convex

=== debian/rules ===
#!/usr/bin/make -f
BUILDDIR=debian/build
include /usr/share/dpkg/architecture.mk

TETGEN_VERSION = 1.6.0
TETGEN_LIBVERSION = 1.6

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake --builddirectory=$(BUILDDIR)

execute_after_dh_auto_build:
	docbook-to-man debian/tetgen.sgml > tetgen.1

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	$(BUILDDIR)/tetgen -p example.poly
endif

execute_after_dh_clean:
	rm -f tetgen.1
	rm -f example.1.*

=== debian/tests/control ===
Tests: check1 build1
Depends: tetgen, libtet-dev, build-essential

=== debian/watch ===
Version: 5

Source: https://codeberg.org/api/v1/repos/TetGen/TetGen/releases
Matching-Pattern: https://codeberg.org/TetGen/TetGen/archive/[^"-_v]*@ANY_VERSION@@ARCHIVE_EXT@
Search-Mode: plain
Filename-Mangle: s%.*/[^"-_v]*@ANY_VERSION@%@PACKAGE@-$1%
